DBIx::Class::Storage::DBI::Sybase::FreeTDS(3)

NAME
DBIx::Class::Storage::DBI::Sybase::FreeTDS - Base class for drivers using DBD::Sybase over FreeTDS.

DESCRIPTION
This is the base class for Storages designed to work with DBD::Sybase over FreeTDS.

It is a subclass of DBIx::Class::Storage::DBI::Sybase.

METHODS

  set_textsize
When using DBD::Sybase with FreeTDS, "$dbh->{LongReadLen}" is not available, use this function instead. It does:

  $dbh->do("SET TEXTSIZE $bytes");

Takes the number of bytes, or uses the "LongReadLen" value from your connect_info if omitted, lastly falls back to the 32768 which is the DBD::Sybase default.

AUTHORS
See "CONTRIBUTORS" in DBIx::Class.

LICENSE
You may distribute this code under the same terms as Perl itself.